# 21X

## Developer Docs

- [Getting Started](https://docs.21x.eu/readme.md)
- [How to Connect](https://docs.21x.eu/getting-started.md)
- [Sample Use Cases & Code](https://docs.21x.eu/sample-use-cases-and-code.md)
- [Using the Python-SDK](https://docs.21x.eu/sample-use-cases-and-code/01-order_placement.md)
- [Direct Smart Contract Interaction](https://docs.21x.eu/sample-use-cases-and-code/direct-smart-contract-interaction.md)
- [Creating a Buy Order](https://docs.21x.eu/sample-use-cases-and-code/direct-smart-contract-interaction/buy-order.md)
- [Creating a Sell Order](https://docs.21x.eu/sample-use-cases-and-code/direct-smart-contract-interaction/sell-order.md)
- [Canceling Open Orders](https://docs.21x.eu/sample-use-cases-and-code/direct-smart-contract-interaction/cancel-order.md)
- [Using the REST API](https://docs.21x.eu/sample-use-cases-and-code/open-order.md)
- [REST API](https://docs.21x.eu/api-reference-v1.0.md)
- [PublicMarketData](https://docs.21x.eu/api-reference-v1.0/publicmarketdata.md)
- [Order](https://docs.21x.eu/api-reference-v1.0/order.md)
- [Wallet](https://docs.21x.eu/api-reference-v1.0/wallet.md)
- [Trade](https://docs.21x.eu/api-reference-v1.0/trade.md)
- [Models](https://docs.21x.eu/api-reference-v1.0/models.md)
- [Smart Contract ABI](https://docs.21x.eu/order-book.md)
- [OrderBook](https://docs.21x.eu/order-book/orderbook.md)
- [Order Data (explanation)](https://docs.21x.eu/order-book/orderdata.md)
- [Websocket API](https://docs.21x.eu/websocket-api.md)
- [Orderbook](https://docs.21x.eu/websocket-api/orderbook.md)
- [Orders](https://docs.21x.eu/websocket-api/orders.md)
- [Ticker](https://docs.21x.eu/websocket-api/ticker.md)
- [Trades](https://docs.21x.eu/websocket-api/trades.md)
- [SDK Documentation](https://docs.21x.eu/sdk.md)
- [Getting Started](https://docs.21x.eu/sdk/02-getting_started.md)
- [REST API Interaction](https://docs.21x.eu/sdk/03-rest.md)
- [Smart Contract Interaction](https://docs.21x.eu/sdk/04-contract.md)
- [Order Placement](https://docs.21x.eu/sdk/04-contract/01-order_placement.md)
- [Order Cancelation](https://docs.21x.eu/sdk/04-contract/02-order_cancelation.md)
- [Integration Guide](https://docs.21x.eu/integration-guide.md)
- [21X Integration Guide](https://docs.21x.eu/integration-guide/21x-integration-guide.md): A reference for partners connecting to 21X.

## Participant Docs

- [Getting Started](https://docs.21x.eu/participant-docs/getting-started.md)
- [Participant Docs](https://docs.21x.eu/participant-docs/participant-docs.md): Description of roles and responsiblities for different participant in the 21X ecosystem
- [Issuers](https://docs.21x.eu/participant-docs/participant-docs/issuers.md): Issuers create DLT Financial Instruments and seek their admission to trading on the 21X DLT-TSS.
- [Trade Participants](https://docs.21x.eu/participant-docs/participant-docs/trade-participants.md): Trade Participants are admitted users of the 21X DLT-TSS who trade and settle DLT Financial Instruments on the platform.
- [Orderflow Providers](https://docs.21x.eu/participant-docs/participant-docs/orderflow-providers.md): Orderflow Providers (OFPs) connect external trading activity to the 21X DLT Trading and Settlement System (DLT-TSS).
- [Listing Sponsors](https://docs.21x.eu/participant-docs/participant-docs/listing-sponsors.md): Listing Sponsors support Issuers in preparing for and completing admission of DLT Financial Instruments to trading on 21X.
- [Market Makers](https://docs.21x.eu/participant-docs/participant-docs/market-makers.md): Market Makers and Liquidity Providers contribute to market efficiency by providing executable quotes and supporting price discovery.
- [Stablecoin Issuers](https://docs.21x.eu/participant-docs/participant-docs/stablecoin-issuers.md): Stablecoin Issuers provide the settlement token used for the cash settlement on 21X financial market infrastructure.
- [Listing requirements](https://docs.21x.eu/participant-docs/listing-requirements.md)
- [Admissible instruments](https://docs.21x.eu/participant-docs/listing-requirements/admissible-instruments.md): Overview of eligible asset classes, including shares, funds, and bonds, along with their specific conditions for listing on 21X.
- [Financial Instrument Requirements](https://docs.21x.eu/participant-docs/listing-requirements/financial-instrument-requirements.md): General legal, structural, and documentation requirements that issuers and financial instruments must meet to qualify for listing.
- [Token Requirements](https://docs.21x.eu/participant-docs/listing-requirements/token-requirements.md): Technical standards and protocols for tokenized assets, including supported blockchains, smart contract audits, and token functionality.
- [Stablecoin Requirements](https://docs.21x.eu/participant-docs/listing-requirements/stablecoin-requirements.md): Guidelines for e-money tokens used as settlement currencies on 21X, including compliance, technical specifications, and supported networks.
- [Regulatory Documents](https://docs.21x.eu/participant-docs/regulatory-documents.md): Regulatory Documents and Announcements


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.21x.eu/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
